View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000084Ecere SDKcompilerpublic2008-05-26 06:142013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000084: Defining virtual methods in classes inheriting from an intermediate classes crashes the compiler
DescriptionExample code:

import "ecere"

class ListSection : Group
{
   void OnResize(int width, int height)
   {

   }
}

class Group : Window
{

}

The functions FixDerivativeVirtualMethod and FixDerivativeBase in instance.ec free the Method object which was already assigned to a func.declarator.symbol in firstPass.ec.

The compiler must be run under MemoryGuard to make sure the issue occur.
TagsNo tags attached.
Attached Files? file icon test.ec [^] (125 bytes) 2008-05-26 06:14

- Relationships

-  Notes
(0000720)
jerome (administrator)
2013-04-24 07:11

This has been fixed. (Verified with compiler in MemoryGuard mode)

- Issue History
Date Modified Username Field Change
2008-05-26 06:14 jerome New Issue
2008-05-26 06:14 jerome File Added: test.ec
2008-05-26 06:14 jerome Project @3@ => @2@
2008-05-26 06:17 jerome Description Updated
2008-05-26 06:17 jerome Description Updated
2010-07-29 17:01 jerome Priority normal => immediate
2010-07-29 17:01 jerome Relationship added child of 0000429
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:44 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-24 07:11 jerome Status new => resolved
2013-04-24 07:11 jerome Fixed in Version => 0.44.07
2013-04-24 07:11 jerome Resolution open => fixed
2013-04-24 07:11 jerome Assigned To => jerome
2013-04-24 07:11 jerome Note Added: 0000720
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker